---
title: "Get an upload URL"
description: "Returns a secure, temporary URL and an upload key for transferring a file to Mindtickle Content Center."
contentType: "api-reference"
url: "https://developer.mindtickle.com/docs/content-center/files/get-an-upload-url/"
---

## Prerequisites

1. [Authentication and setup](/docs/getting-started/authentication-and-setup/): A valid access token.

## Endpoint

```http
GET /services/data/v1.0/content/upload-url
```

Base URL: the standard REST host for your region. See [Base URLs](/docs/getting-started/authentication-and-setup/#base-urls).

Headers: `Authorization: Bearer ACCESS_TOKEN`.

## Query parameters

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `file_name` | string | Required | Name of the file to be uploaded. Must include the file extension and be under 250 characters. |

## Request

This endpoint has no request body.

### Request example

```http
GET /services/data/v1.0/content/upload-url?file_name=example.pdf
```

## Response

| Field | Type | Description |
| --- | --- | --- |
| `upload_url` | string | Temporary URL to upload the file to. |
| `upload_key` | string | Key of the uploaded file. |

### Response example

```json
{
  "upload_url": "https://storage.example.com/uploads/example.pdf?signature=EXAMPLE_SIGNATURE",
  "upload_key": "1234/56789_example.pdf"
}
```

## Notes

- **Usage:** Save the `upload_key` for later use in the sync operation, then use the `upload_url` with an HTTP PUT request to upload your file.

## Related

- [Create an integration](/docs/content-center/integration/create-an-integration/): Create the integration that receives the uploaded content.
- [Initiate a content management job](/docs/content-center/jobs/initiate-a-content-management-job/): Use the upload key to sync the uploaded file.
